Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] Need Help! With Ubuntu 13.04 on android

OP GGgamer16

23rd January 2014, 10:54 PM   |  #1  
OP Junior Member
Thanks Meter: 0
 
2 posts
Join Date:Joined: Jan 2014
So i saw this video of a guy having ubuntu 12.04(pc version) on his phone,he was running the linux server on his phone and at the same time accessing it, using androidVNC . BTW i have a samsung galaxy S 4 (sprint Version ,without knox) Running cyanogenmod 11.0 , android version 4.4.2, the kernel version is 3.4.0-cyanogenmod-g5a32c11build04@cyanogenmod #1 Thu Jan 9 21:12:16 PST 2014 .

I checked if my phone is loop compatible using, the following in terminal emulator : zcat /proc/config.gz | grep CONFIG_BLK_DEV_LOOP , i found it on a webpage , and i got y, that means it is a loop device, but when i ran CompleteLinuxInstaller i got into the following problem

Checking loop device ... FOUND
mount: mounting /dev/block/loop255 on /data/local/mnt failed : Invalid Argument
ERROR: Unable to mount the loop device

but when i did modprobe loop
it didn't find anything

so if you can help, me i am not a genius, just tell me the simplest way to fix this.

btw i want to install unbuntu 13.10 i have everything downloaded(Terminal emulator, Complete linux installer, AndroidVNC, and the 3.72gb image file)
Thank's in advance,
GGgamer16
Last edited by GGgamer16; 23rd January 2014 at 11:05 PM. Reason: forgot something
the_pirate_predator
24th January 2014, 12:13 AM   |  #2  
Guest
Thanks Meter: 0
 
n/a posts
Answer
Quote:
Originally Posted by GGgamer16

So i saw this video of a guy having ubuntu 12.04(pc version) on his phone,he was running the linux server on his phone and at the same time accessing it, using androidVNC . BTW i have a samsung galaxy S 4 (sprint Version ,without knox) Running cyanogenmod 11.0 , android version 4.4.2, the kernel version is 3.4.0-cyanogenmod-g5a32c11build04@cyanogenmod #1 Thu Jan 9 21:12:16 PST 2014 .

I checked if my phone is loop compatible using, the following in terminal emulator : zcat /proc/config.gz | grep CONFIG_BLK_DEV_LOOP , i found it on a webpage , and i got y, that means it is a loop device, but when i ran CompleteLinuxInstaller i got into the following problem

Checking loop device ... FOUND
mount: mounting /dev/block/loop255 on /data/local/mnt failed : Invalid Argument
ERROR: Unable to mount the loop device

but when i did modprobe loop
it didn't find anything

so if you can help, me i am not a genius, just tell me the simplest way to fix this.

btw i want to install unbuntu 13.10 i have everything downloaded(Terminal emulator, Complete linux installer, AndroidVNC, and the 3.72gb image file)
Thank's in advance,
GGgamer16

I don't own that phone. And so I cannot say much about it.

But my personal advice is to take backup of everything before you proceed with any changes to your phone.

I found the following links give you an idea:

http://android.stackexchange.com/que...device-support

http://ubuntuforums.org/showthread.php?t=2189642

http://ubuntuforums.org/showthread.php?t=2193699

Keep searching Google.
The Following User Says Thank You to For This Useful Post: [ View ]
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes